<section class="section">
  <div class="container col-md-4 vh-100">
    <div class="row justify-content-center h-100 mx-1">
      <div class="card rounded my-auto shadow-lg">
        <div class="card-body p-4">
          <div class="text-center pb-2">
            <h2 class="text h4">Login with product app</h2>
          </div>
          <div class="text-center mb-2">
          </div>
          <form [formGroup]="loginForm" (ngSubmit)="login()">
            <ng-container *ngIf="hasError">
              <div
                class="mb-3 form-text text-danger text-center">
                <span class="alert-text">The login details are incorrect</span>
              </div>
              </ng-container>
            <div class="form-group mb-3">
              <label for="email">Email</label>
              <vwui-input type="text" placeholder="enter username" formControlName="username" autocomplete="off"> 
              </vwui-input>
              <div *ngIf="loginValidation && f.username.errors" class="form-text text-danger text-left">
                <span *ngIf="f.username.errors.required">User name is
                  required.</span>
              </div>
            </div>
            <div class="form-group mb-3">
              <label for="password">Password</label>
              <vwui-input type="password" placeholder="enter password" formControlName="password" autocomplete="off">
              </vwui-input>
              <div *ngIf="loginValidation && f.password.errors" class="form-text text-danger text-left">
                <span *ngIf="f.password.errors.required">Password is
                  required.</span>
              </div>
            </div>
            <div class="form-group d-flex justify-content-between mb-2 mt-4 pt-2">
              <button type="submit" class="btn btn-primary w-25">
                Login
              </button>
              <span>Create a new <a class="text-danger fw-bold" routerLink="/auth/registation">Registration?</a></span>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</section>